Bug 125769 - iiimecf-mode takes a lot to load
iiimecf-mode takes a lot to load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-06-11 04:47 EDT by albert vilella
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: im-sdk-12.0.1-13.svn1943
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 02:14:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description albert vilella 2004-06-11 04:47:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When loading emacs o emacs -nw, the iiimecf component takes a lot of
time to load.

This is inconvenient when trying to edit something rapidly.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. load emacs
2. wait for iiimecf.el to load
3. have emacs ready after too much
    

Additional info:
Comment 1 albert vilella 2004-06-11 04:48:24 EDT
To disable iiimecf at startup:

# cd /usr/share/emacs/site-lisp/site-start.d/
# mv iiimecf.el iiimecf.el.ori

To re-enable later:

# cd /usr/share/emacs/site-lisp/site-start.d/
# mv iiimecf.el.ori iiimecf.el
Comment 2 Jens Petersen 2004-06-25 22:32:54 EDT
Actually it is not iiimecf that is taking all the time but
un-define (of mule-ucs) which is required by iiimecf.

If you don't need it I suggest uninstalling iiimf-emacs...

However you're right, it should be possible to autoload
iiimecf rather than always loading it.
Comment 3 Jens Petersen 2004-09-29 11:05:00 EDT
Should be fixed in the next im-sdk build after 12.0.1-9.svn1936.
Comment 4 Akira TAGOH 2004-09-30 12:15:13 EDT
please try 12.0.1-10.svn1943
Comment 5 Lawrence Lim 2004-10-13 02:14:57 EDT
Tested with im-sdk-12.0.1-13.svn1943, did notice a slight delay
running emacs with iiimecf but negligible IMHO. Please reopen the bug
if you experience any problem.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.